summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-zope/zope/files/zope.initd')
-rw-r--r--net-zope/zope/files/zope.initd54
1 files changed, 54 insertions, 0 deletions
diff --git a/net-zope/zope/files/zope.initd b/net-zope/zope/files/zope.initd
new file mode 100644
index 000000000000..191ef17c6c8e
--- /dev/null
+++ b/net-zope/zope/files/zope.initd
@@ -0,0 +1,54 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-zope/zope/files/zope.initd,v 1.1 2005/01/14 21:16:20 radek Exp $
+
+opts="start stop reload kill quit status help"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl start
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl stop
+ eend $?
+}
+
+reload() {
+ # note: reload calls zope restart, runscript restart stops and starts
+ ebegin "Restarting Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl restart
+ eend $?
+}
+
+kill() {
+ ebegin "Killing Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl kill
+ eend $?
+}
+
+quit() {
+ ebegin "Quitting Zope Daemon Manager INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl quit
+ eend $?
+}
+
+status() {
+ ebegin "Status of Zope in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl status
+ eend $?
+}
+
+help() {
+ ebegin "Help for Zope Daemon Manager in INSTANCE_HOME"
+ INSTANCE_HOME/bin/zopectl help
+ eend $?
+}
+